# ImageShader class

A shader (as used by Paint.shader) that tiles an image.

Inheritance
  - Object
  - Shader
  - ImageShader

## Constructors

ImageShader(Image image, TileMode tmx, TileMode tmy, Float64List matrix4)
  Creates an image-tiling shader. The first argument specifies the image to tile. The second and third arguments specify the TileMode for the x direction and y direction respectively. The fourth argument gives the matrix to apply to the effect. All the arguments are required and must not be null.

## Properties

hashCode → int
  The hash code for this object. [...]
  read-only, inherited
runtimeType → Type
  A representation of the runtime type of the object.
  read-only, inherited

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a non-existent method or property is accessed. [...]
  inherited
toString() → String
  Returns a string representation of this object.
  inherited

## Operators

operator ==(dynamic other) → bool
  The equality operator. [...]
  inherited